%bcond_with tests

%global srcname factory_boy

Summary: A versatile test fixtures replacement based on thoughtbot's factory_girl
Name: python-factory-boy
Version: 3.3.0
Release: 2%{?dist}
License: MIT
URL: https://github.com/rbarrois/factory_boy
Source0: https://github.com/rbarrois/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if %{with tests}
BuildRequires: python3-pytest
BuildRequires: python3-faker >= 0.7.0
BuildRequires: python3-mongoengine
BuildRequires: python3-sqlalchemy
BuildRequires: python3-django
BuildRequires: python3-flask
BuildRequires: python3-flask-sqlalchemy
%endif

%description
factory_boy is a fixtures replacement based on thoughtbot's factory_bot.

%package -n python3-factory-boy
Summary: A versatile test fixtures replacement based on thoughtbot's factory_girl
Suggests: %{name}-doc = %{version}-%{release}

%description -n python3-factory-boy
factory_boy is a fixtures replacement based on thoughtbot's factory_bot.

%package doc
Summary: API documentation for %{name}

%description doc
Documentation for the %{name} API

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build
rm -f docs/Makefile
rm -rf docs/_static
find examples -type f -print0 | xargs -0 chmod 0644

%install
%py3_install

%if %{with tests}
%check
SKIP_MONGOENGINE=1 %pytest
%endif

%files -n python3-factory-boy
%license LICENSE
%{python3_sitelib}/factory
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info

%files doc
%license LICENSE
%doc README.rst CODE_OF_CONDUCT.md CONTRIBUTING.rst CREDITS docs examples

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.3.0-1
- Bump version to 3.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 cunshunxia <cunshunxia@tencent.com> - 3.2.1-1
- initial build
